@font-face {
  font-family: Elastro;
  src: url(Fonts/ELASTRO.ttf);
}

@font-face {
  font-family: Neoblock;
  src: url(Fonts/NeoblockDEMO.otf);
}

@font-face {
  font-family: MegazinePosterk;
  src: url(Fonts/MegazinePosterDEMO-Regular.ttf);
}

* {
  margin: 0; 
  padding: 0;
  box-sizing: border-box;
}

body {
  background-image: url("Images/Background/TEST2.jpg");
  background-size: cover;
  background-position: center;
}

main {
  margin: 0 auto;
  border-radius: 8px;
  padding: 8px;
  margin-top: 30px;
  background-color: black;
  color: white; /* Font color */
  max-width: 900px;
  position: relative;
}

/* neon effect and animation */
@property --angle {
  syntax: "<angle>";
  initial-value: 0deg;
  inherits: false;
}

main::after, main::before {
  content: '';
  position: absolute;
  height: 100%;
  width: 100%;
  Background: conic-gradient(from var(--angle), #FF6A36, #4BDE49, #27B9F2, #B01593, #FF6A36);
  top: 50%;
  left: 50%;
  translate:-50%-50%;
  z-index: -1;
  padding: 3px;
  border-radius: 8px;
  animation: 3s spin linear infinite;
}
main:before {
  filter: blur(1rem);
  opacity: 0.5;
}

@keyframes spin {
  from {
    --angle: 0deg;
  }
  to {
    --angle: 360deg;
  }
}

/*Logo Bar Container*/
.LogoBar {
  Background: #12000A;
  border-radius: 8px 8px 0px 0px;
}

.Logo {
  display: block;
  margin-left: auto;
  margin-right: auto;
  padding: 10px 0px;
}

/*Navigation Bar*/
.NavBar {
  display: flex;
  justify-content: center;
  background: #38001c;
  padding: 8px 10px;
}

.NavLinks {
  display: flex;
  gap: 20px;
}

.NavLinks li {
  display: flex;
  align-items: center;
  gap: 6px;
  padding: 8px 14px;
  text-decoration: none;
  background: #12000A;
  font-family: Elastro;
  font-weight: bold;
  border-radius: 6px;
  cursor: pointer;
  transition: all 0.2s ease;
}

.NavLinks li a {
  text-decoration: none;
  letter-spacing: 1px;
}

.HomeBtnLinkText {
  color: #4BDE49;
}
.AboutBtnLinkText {
  color: #27B9F2;
}
.ReviewsBtnLinkText {
  color: #FFF714;
}
.GalleryBtnLinkText {
  color: #B727F5;
}
.LinksBtnLinkText {
  color: #FF6A36;
}

.HomeBtn {
  border: 1.5px solid #4BDE49;
  box-shadow: 0 0 3px #4BDE49, 0 0 6px #4BDE49, inset 0 0 3px #4BDE49;
  transition: 0.4s;
}
.AboutBtn {
  border: 1.5px solid #27B9F2;
  box-shadow: 0 0 3px #27B9F2, 0 0 6px #27B9F2, inset 0 0 3px #27B9F2;
  transition: 0.4s;
}
.ReviewsBtn {
  border: 1.5px solid #FFF714;
  box-shadow: 0 0 3px #FFF714, 0 0 6px #FFF714, inset 0 0 3px #FFF714;
  transition: 0.4s;
}
.GalleryBtn {
  border: 1.5px solid #B727F5;
  box-shadow: 0 0 3px #B727F5, 0 0 6px #B727F5, inset 0 0 3px #B727F5;
  transition: 0.4s;
}
.LinksBtn {
  border: 1.5px solid #FF6A36;
  box-shadow: 0 0 3px #FF6A36, 0 0 6px #FF6A36, inset 0 0 3px #FF6A36;
  transition: 0.4s;
}

.NavLinks li:hover {
  border: 1.5px solid white;
  box-shadow: 0 0 3px white, 0 0 6px white, inset 0 0 3px white;
  transition: 0.4s;
  color: white;
}

.NavLinks li a:hover {
  color: white;
  transition: 0.4s;
}

/*Marquee Text*/
.Marquee {
  Background: #12000A;
  padding: 8px 2px;
  border-radius: 0px 0px 8px 8px;
}